org.apache.avro.ipc.reflect

## Class ReflectResponder

- java.lang.Object
- - org.apache.avro.ipc.Responder
  - - org.apache.avro.ipc.generic.GenericResponder
    - - org.apache.avro.ipc.specific.SpecificResponder
      - - org.apache.avro.ipc.reflect.ReflectResponder

-     public class ReflectResponder
      extends SpecificResponder

  `Responder` for existing interfaces.

- - ### Field Summary

    - ### Fields inherited from class org.apache.avro.ipc.Responder

      `rpcMetaPlugins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectResponder(Class iface, Object impl)`
    `ReflectResponder(Class iface, Object impl, ReflectData data)`
    `ReflectResponder(Protocol protocol, Object impl)`
    `ReflectResponder(Protocol protocol, Object impl, ReflectData data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DatumReader<Object>` | `getDatumReader(Schema actual, Schema expected)`
    `protected DatumWriter<Object>` | `getDatumWriter(Schema schema)`
    `ReflectData` | `getReflectData()`
    `void` | `writeError(Schema schema, Object error, Encoder out)` Writes an error message.

    - ### Methods inherited from class org.apache.avro.ipc.specific.SpecificResponder

      `getSpecificData, respond`

    - ### Methods inherited from class org.apache.avro.ipc.generic.GenericResponder

      `getGenericData, readRequest, writeResponse`

    - ### Methods inherited from class org.apache.avro.ipc.Responder

      `addRPCPlugin, getLocal, getRemote, respond, respond`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectResponder

          public ReflectResponder(Class iface,
                                  Object impl)

    - #### ReflectResponder

          public ReflectResponder(Protocol protocol,
                                  Object impl)

    - #### ReflectResponder

          public ReflectResponder(Class iface,
                                  Object impl,
                                  ReflectData data)

    - #### ReflectResponder

          public ReflectResponder(Protocol protocol,
                                  Object impl,
                                  ReflectData data)

  - ### Method Detail

    - #### getReflectData

          public ReflectData getReflectData()

    - #### getDatumWriter

          protected DatumWriter<Object> getDatumWriter(Schema schema)

      Overrides:
        `getDatumWriter` in class `SpecificResponder`

    - #### getDatumReader

          protected DatumReader<Object> getDatumReader(Schema actual,
                                                       Schema expected)

      Overrides:
        `getDatumReader` in class `SpecificResponder`

    - #### writeError

          public void writeError(Schema schema,
                                 Object error,
                                 Encoder out)
                          throws IOException

      Description copied from class: `Responder`
      Writes an error message.
      Overrides:
        `writeError` in class `SpecificResponder`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.